Analytics

GET /public/v1/warmlist/{workspaceId}/stats

Get ICP fit stats for warmlist prospects, broken down by engagement type.

GET /public/v1/warmlist/{workspaceId}/stats

GET /public/v1/warmlist/{workspaceId}/stats

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/stats' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "stats": {
      "profileViewers": {
        "totalUnique": 1,
        "lowIcpCount": 1,
        "mediumIcpCount": 1,
        "highIcpCount": 1
      },
      "followers": {
        "totalUnique": 1,
        "lowIcpCount": 1,
        "mediumIcpCount": 1,
        "highIcpCount": 1
      },
      "engagers": {
        "totalUnique": 1,
        "lowIcpCount": 1,
        "mediumIcpCount": 1,
        "highIcpCount": 1
      }
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Query Parameters

  • engagementType string

    Comma-separated: viewers,followers,engagers

  • icpFit string

    Comma-separated: low,medium,high

  • ownerId string

    Admin/Owner only: view stats for a specific workspace member

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • stats object
      + Show Child Attributes
      • profileViewers object nullable
        + Show Child Attributes
        • totalUnique number
        • lowIcpCount number
        • mediumIcpCount number
        • highIcpCount number
      • followers object nullable
        + Show Child Attributes
        • totalUnique number
        • lowIcpCount number
        • mediumIcpCount number
        • highIcpCount number
      • engagers object nullable
        + Show Child Attributes
        • totalUnique number
        • lowIcpCount number
        • mediumIcpCount number
        • highIcpCount number